task polysolver {
    String sample_id
    File normBAM
    File normBAM_bai
	
    String docker
    String cluster
    String disk_size

    command <<<
	
        set -o pipefail
        set -e
        
        mkdir ${sample_id}
        cp ${normBAM} ./${sample_id}
        cp ${normBAM_bai} ./${sample_id}

        for line in `ls ./${sample_id}|sed 's/.bam.*//'|sort|uniq`
        do
            line=`ls ./${sample_id}|sed 's/.bam.*//'|sort|uniq`
            new_name=`echo $line|sed 's/\./_/g'`
            mv ${sample_id}/$line.bam ${sample_id}/$new_name.bam
            mv ${sample_id}/$line.bam.bai ${sample_id}/$new_name.bam.bai
        done
        
        normBAM_file=`ls ./${sample_id}/|grep bam|grep -v "TT"|grep -v ".T.sorted"|grep -v "bai"`
        
        bash /home/polysolver/scripts/shell_call_hla_type ./${sample_id}/$normBAM_file Asian 1 hg38 STDFQ  0 ./${sample_id}/${sample_id}_hla_type/
        cut -f 2- ./${sample_id}/${sample_id}_hla_type/winners.hla.txt|sed 's/\s/\n/g' > ./${sample_id}_winners.hlas

     


    >>>
	
    runtime {
        docker : docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File hlas="${sample_id}_winners.hlas"
    }

}


